Delete a test case
DELETE
/v1/test-cases/{id}
const url = 'https://beta-api.plune.ai/v1/test-cases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://beta-api.plune.ai/v1/test-cases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”Deleted
No / invalid token or session
Not found or not yours
Media type application/json
object
error
required
string
Example generated
{ "error": "example"}Stored results still reference this case
Media type application/json
object
error
required
string
Example generated
{ "error": "example"}Rate-limited: either the per-route throttle or a tenant quota. Retry-After carries the seconds until the window rolls over.
Media type application/json
object
error
required
string
Example generated
{ "error": "example"}Headers
Section titled “Headers ” Retry-After
integer
Seconds until the window rolls over